Issue 122028 - [sidebar] Dispatching ".uno:SwPageColumn" crashes
[sidebar] Dispatching ".uno:SwPageColumn" crashes
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
: crash
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-04-10 01:32 UTC by Ariel Constenla-Haile
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Bug doc (8.47 KB, application/vnd.oasis.opendocument.text)
2013-04-10 01:32 UTC, Ariel Constenla-Haile
no flags Details
Patch to fix the crash (5.61 KB, patch)
2013-04-10 04:41 UTC, Ariel Constenla-Haile
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-04-10 01:32:17 UTC
Created attachment 80519 [details]
Bug doc

Open the attached document
It has a custom toolbar with a toolbar item that dispatches ".uno:SwPageColumn"
Select this toolbar item.
The application crashes:

Program received signal SIGSEGV, Segmentation fault.
0x00007f1057aa5260 in SwView::ExecTabWin (this=0x33373f8, rReq=...) at /build/aoo/src/sidebar/main/sw/source/ui/uiview/viewtab.cxx:599
599                 const SfxInt16Item aColumnItem( (const SfxInt16Item&)rReq.GetArgs()->Get(nSlot) );
(gdb) bt
#0  0x00007f1057aa5260 in SwView::ExecTabWin (this=0x33373f8, rReq=...) at /build/aoo/src/sidebar/main/sw/source/ui/uiview/viewtab.cxx:599
#1  0x00007f108385dbc6 in SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#2  0x00007f1083854a2f in SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) ()
   from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#3  0x00007f1083856e68 in SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short) ()
   from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#4  0x00007f1083701384 in SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#5  0x00007f1083714089 in SfxDispatchController_Impl::dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> const&) () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#6  0x00007f10837145ec in SfxOfficeDispatch::dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) ()
   from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#7  0x00007f106dc08774 in framework::GenericToolbarController::ExecuteHdl_Impl(framework::GenericToolbarController*, framework::ExecuteInfo*) ()
   from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libfwk.so
#8  0x00007f1081a29efd in ImplWindowFrameProc(Window*, SalFrame*, unsigned short, void const*) () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libvcl.so
#9  0x00007f1076b017d0 in SalDisplay::DispatchInternalEvent() () from /home/ariel/aoo/sidebar/openoffice/basis4.0/program/libvclplug_gen.so
#10 0x00007f1076da292c in GtkXLib::userEventFn(void*) () from /home/ariel/aoo/sidebar/openoffice/basis4.0/program/libvclplug_gtk.so
#11 0x0000003633c47a55 in g_main_dispatch (context=0x1c69ba0) at gmain.c:2715
#12 g_main_context_dispatch (context=context@entry=0x1c69ba0) at gmain.c:3219
#13 0x0000003633c47d88 in g_main_context_iterate (context=context@entry=0x1c69ba0, block=block@entry=0, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3290
#14 0x0000003633c47e44 in g_main_context_iteration (context=0x1c69ba0, may_block=0) at gmain.c:3351
#15 0x00007f1076da17c2 in GtkXLib::Yield(bool, bool) () from /home/ariel/aoo/sidebar/openoffice/basis4.0/program/libvclplug_gtk.so
#16 0x00007f10818469d6 in ImplYield(bool, bool) () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libvcl.so
#17 0x00007f108184475c in Application::Execute() () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libvcl.so
#18 0x00007f1084866c52 in desktop::Desktop::Main (this=0x7fffa15fee10) at /build/aoo/src/sidebar/main/desktop/source/app/app.cxx:2204
#19 0x00007f1081849ae5 in ImplSVMain() () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libvcl.so
#20 0x00007f1081849c38 in SVMain() () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libvcl.so
#21 0x00007f108489c9af in soffice_main () at /build/aoo/src/sidebar/main/desktop/source/app/sofficemain.cxx:45
#22 0x00000000004012dc in sal_main () at main.c:31
#23 0x00000000004012c1 in main (argc=1, argv=0x7fffa15fefc8) at main.c:30
Comment 1 Ariel Constenla-Haile 2013-04-10 04:41:33 UTC
Created attachment 80521 [details]
Patch to fix the crash
Comment 2 SVN Robot 2013-04-11 13:20:30 UTC
"af" committed SVN revision 1466877 into trunk:
122028: Fixed crash when processing .uno:SwPageColumn command.
Comment 3 Andre 2013-04-11 13:21:03 UTC
Thanks for the patch.
Applied.